library(urca)
data(npext)
y <- ts(na.omit(npext$unemploy), start=1909, end=1988, frequency=1)
op <- par(no.readonly=TRUE)
layout(matrix(c(1, 1, 2, 3), 2, 2, byrow=TRUE))
plot(y, ylab="unemployment rate (logarithm)")
acf(y, main='Autocorrelations', ylab='', ylim=c(-1, 1))
pacf(y, main='Partial Autocorrelations', ylab='', ylim=c(-1, 1))
par(op)
arma20 <- arima(y, order=c(2, 0, 0))
res20 <- residuals(arma20)
tsdiag(arma20)
Box.test(res20, lag = 20, type =  "Ljung-Box")
shapiro.test(res20)
arma30 <- arima(y, order=c(3, 0, 0))
